Paano mag-install ng Adobe Air (32 & 64 bit) sa Ubuntu

Adobe AIR Ito ay isang kapaligiran ng pagpapatupad ng multiplatform para sa pagbuo ng mga aplikasyon ng RIA (Rich Internet Applications) gamit ang Adobe Flash, Adobe Flex, HTML at AJAX, na maaaring magamit bilang mga desktop app. Ang pag-install nito sa Ubuntu ay napakadali, bagaman mayroon itong ilang mga komplikasyon sa ilalim ng 64 bit.

I-install ang Adobe Air sa Ubuntu 32 bit

I-edit ang mga file ng mapagkukunan ng listahan:

sudo gedit /etc/apt/sources.list

Alisan ng pagkomento ang mga sumusunod na linya (kung mayroon kang puna sa kanila):

deb http://archive.canonical.com/ubuntu/ lucid partner deb-src http://archive.canonical.com/ubuntu/ lucid partner

I-update at i-install ang adobeair package:

sudo apt-get update sudo apt-get install adobeair

I-install ang Adobe Air sa Ubuntu 64 bit

I-download ang installer ng Adobe AIR:

http://get.adobe.com/air/

Ang susunod na hakbang ay ang pag-download at pag-install ng "Getlibs". Ang Getlibs ay isang tool na makakatulong sa amin upang mai-install ang 32bit na mga aklatan na kinakailangan upang magpatakbo ng mga application sa isang x64bit na kapaligiran.

http://taurinocerveza.com/scripts/getlibs-all.deb

Panghuli, i-install ang 32 bit na mga aklatan gamit ang mga getlib:

sudo apt-get install lib32asound2 lib32gcc1 lib32ncurses5 lib32stdc ++ 6 lib32z1 libc6 libc6-i386 lib32nss-mdns sudo apt-get install ia32-libs sudo getlibs -l libnss3.so.1d sudo getlibs -l libnssutil3.ls.1ns getuts3l .ls.1d sudo libsmime3.so.1d sudo getlibs -l libssl4.so.0d sudo getlibs -l libnspr4.so.0d sudo getlibs -l libplc4.so.0d sudo getlibs -l libplds0.so.0.1.1d sudo getlibs -l libgnome-keyring.so sudo getlibs -l libgnome-keyring.so.XNUMX sudo getlibs -l libgnome-keyring.so.XNUMX

Bigyan ang mga Adobe AIR installer ng mga pahintulot at i-install ito:

sudo chmod + x AdobeAIRInstaller.bin sudo ./AdobeAIRInstaller.bin

Ang huling hakbang na susundan, alinsunod sa mga tagubilin sa Adobe:

sudo cp /usr/lib/libadobecertstore.so / usr / lib32
Tandaan: isang blog reader, mga adik sa Internet, ay nagkomento na sa ilang mga bersyon ng Ubuntu ang libadobecertstore.so file ay matatagpuan sa ibang landas. Ang tamang utos sa mga kasong iyon ay:
sudo cp "/ opt / Adobe AIR / Mga Bersyon / 1.0 / Mga Mapagkukunan / libadobecertstore.so" / usr / lib32.

Handa na Nananatili lamang ito upang mai-download ang mga application ng Air at mai-install ang mga ito sa pamamagitan ng pag-double click sa .AIR file.

Salamat Gorlok sa pagmungkahi ng paksang ito!

Pinagmulan | Adobe, Walang natutulog


Ang nilalaman ng artikulo ay sumusunod sa aming mga prinsipyo ng etika ng editoryal. Upang mag-ulat ng isang pag-click sa error dito.

8 na puna, iwan mo na ang iyo

Iwanan ang iyong puna

Ang iyong email address ay hindi nai-publish. Mga kinakailangang patlang ay minarkahan ng *

*

*

  1. Responsable para sa data: Miguel Ángel Gatón
  2. Layunin ng data: Kontrolin ang SPAM, pamamahala ng komento.
  3. Legitimation: Ang iyong pahintulot
  4. Komunikasyon ng data: Ang data ay hindi maiparating sa mga third party maliban sa ligal na obligasyon.
  5. Imbakan ng data: Ang database na naka-host ng Occentus Networks (EU)
  6. Mga Karapatan: Sa anumang oras maaari mong limitahan, mabawi at tanggalin ang iyong impormasyon.

  1.   David mendez dijo

    ufff maraming salamat gumagana ito para sa akin sa UBUNTU 12.04 LTS 64 bits

  2.   Adik sa Internet dijo

    Para sa ubuntu 10.04, ang huling utos ay hindi gumana para sa akin, ang pagkopya ng file na libadobecertstore.so, dahil sa ang bersyon na ito, at nasubukan ko rin ito sa ubuntu 9.10, ang file ay nasa: / opt / Adobe AIR / Mga Bersyon / 1.0 / Mga Mapagkukunan /.
    Kaya't ang utos na gagana ay:
    sudo cp "/ opt / Adobe AIR / Mga Bersyon / 1.0 / Mga Mapagkukunan / libadobecertstore.so" / usr / lib32
    Pagkatapos nito ay na-install ko at ginagamit ko ang aking unang adobe air application.
    Pagbati!

  3.   Gumamit tayo ng Linux dijo

    Salamat sa tip!
    Idagdag ko ito sa artikulo.

  4.   gorlok dijo

    Maraming salamat sa artikulo. Isagawa natin ito sa pagsasanay 🙂

    Hindi sinasadya, kumukuha ako ng pagkakataon na sampalin ang Adobe sa pulso, para sa hindi pagsuporta sa 64-bit Linux na dapat, isang bagay na katawa-tawa ngayon kung iisipin natin ito. Isa pang halimbawa kung paano nila napapabayaan ang platform ng Flash at mga gumagamit nito.

  5.   gorlok dijo

    Nais ko lamang na magbigay ng puna na ito ay perpekto. Pagkatapos ay sinubukan kong i-install ang Destroy Twitter, na inirekomenda nila kamakailan (at kung saan maganda ang hitsura), at walang problema.

  6.   Gumamit tayo ng Linux dijo

    Magaling Gorlok! Masaya ako! Malaking yakap! Paul

  7.   Zerquix18 dijo

    Maraming salamat.

  8.   George Sampayo dijo

    Para sa Ubuntu 13.10 64bits

    Dapat na mai-install ang Ia32-libs mula sa raring repo, idagdag mula sa synaptic:
    deb http://archive.ubuntu.com/ubuntu/ raring pangunahing pinaghihigpitan pinagmulan ng multiversepackage na uniberso

    Sundin ang mga tagubilin sa 13.04

    Bago patakbuhin ang AdobeAir bin, lumikha ng isang shortcut upang mahanap ang lib:
    sudo ln -s /usr/lib32/i386-linux-gnu/libgnome-keyring.so.0 /usr/lib/libgnome-keyring.so.0